ONOS-4400: Run daemon-reload as part of onos-install for systemd systems

Change-Id: Id73b3fb54b58e1b8444b2eccb21b8a067ac45405
(cherry picked from commit 4ca2f44945c50caa32a522555e637338831302c8)
diff --git a/tools/test/bin/onos-install b/tools/test/bin/onos-install
index e35585c..4cc403a 100755
--- a/tools/test/bin/onos-install
+++ b/tools/test/bin/onos-install
@@ -85,6 +85,9 @@
     echo 'log4j.logger.org.apache.sshd = WARN' \
         >> $ONOS_INSTALL_DIR/$KARAF_DIST/etc/org.ops4j.pax.logging.cfg
 
+    # Set up the ONOS service on systemd-based systems
+    sudo systemctl daemon-reload || true
+
 "
 
 # Configure the ONOS installation